/* ================================================= */
/* CSS for control sap.ui.commons/Slider.control     */
/* HCB Theme                                         */
/* ================================================= */

.sapUiSli{
	border: none;
	font-size: @sapUiDesktopFontSize;
}

.sapUiSliHori.sapUiSli{
	padding: 16px 0 0 0;
	height: 16px;
}

.sapUiSliVert.sapUiSli{
	padding: 0 0 0 30px;
	width: 16px;
}

.sapUiSliR,
.sapUiSliL{
	border-style: solid;
	border-color:  @sapUiMediumBorder;
}

.sapUiSliHori > .sapUiSliR,
.sapUiSliHori .sapUiSliL{
	height: 2px;
}

.sapUiSliVert > .sapUiSliR,
.sapUiSliVert .sapUiSliL{
	width: 2px;
}

.sapUiSliHori > .sapUiSliR {
	border-width: 1px 0px 1px 0;
	margin-right: 6px;
	margin-left: 6px;
}

.sapUiSliVert > .sapUiSliR {
	border-width: 0px 1px 0px 1px;
	margin-top: 6px;
	margin-bottom: 6px;
}

.sapUiSliHori .sapUiSliL {
	border-width: 1px 1px 1px 1px;
	top: -1px;
}

.sapUiSliVert .sapUiSliL {
	border-width: 1px 1px 1px 1px;
	left: -1px;
}

.sapUiSliHori .sapUiSliBar,
.sapUiSliHori .sapUiSliHiLi {
	border-top: 1px solid;
	border-bottom: 1px solid;
	height: 2px;
	top: -1px;
}

.sapUiSliVert .sapUiSliBar,
.sapUiSliVert .sapUiSliHiLi {
	border-left: 1px solid;
	border-right: 1px solid;
	width: 2px;
	left: -1px;
}

.sapUiSliHori .sapUiSliBar {
	border-top-color: @sapUiMediumBorder;
	border-bottom-color: @sapUiMediumBorder;
	border-left-color: @sapUiMediumBorder;
	background-color: @sapHCStandardBG;
}

.sapUiSliHori.sapUiSliDsbl .sapUiSliBar {
	border-top-color: @sapUiMediumLine;
	border-bottom-color: @sapUiMediumLine;
	border-left-color: @sapUiMediumLine;
	background-color: @sapUiMediumLine;
}

.sapUiSliVert .sapUiSliBar {
	border-left-color: @sapUiMediumBorder;
	border-right-color: @sapUiMediumBorder;
	border-bottom-color: @sapUiMediumBorder;
	background-color: @sapHCStandardBG;
}

.sapUiSliVert.sapUiSliDsbl .sapUiSliBar {
	border-left-color: @sapUiMediumLine;
	border-right-color: @sapUiMediumLine;
	border-bottom-color: @sapUiMediumLine;
	background-color: @sapUiMediumLine;
}

.sapUiSliHori .sapUiSliHiLi{
	left: -1px;
}

.sapUiSliVert .sapUiSliHiLi{
	bottom: -1px;
}

.sapUiSliStd .sapUiSliHiLi,
.sapUiSliRo .sapUiSliHiLi {
	background-color: @sapHCStandardFG;
}

.sapUiSliStd.sapUiSliHori  .sapUiSliHiLi,
.sapUiSliHori.sapUiSliRo .sapUiSliHiLi {
	border-top-color: @sapHCStandardFG;
	border-bottom-color: @sapHCStandardFG;
	border-left-color: @sapHCStandardFG;
}

.sapUiSliStd.sapUiSliVert .sapUiSliHiLi,
.sapUiSliVert.sapUiSliRo .sapUiSliHiLi {
	border-left-color: @sapHCStandardFG;
	border-right-color: @sapHCStandardFG;
	border-bottom-color: @sapHCStandardFG;
}

.sapUiSliHori.sapUiSliDsbl .sapUiSliHiLi {
	border-top-color: @sapUiMediumLine;
	border-bottom-color: @sapUiMediumLine;
	border-left-color: @sapUiMediumLine;
	background-color: @sapUiMediumLine;
}

.sapUiSliVert.sapUiSliDsbl .sapUiSliHiLi {
	border-left-color: @sapUiMediumLine;
	border-right-color: @sapUiMediumLine;
	border-bottom-color: @sapUiMediumLine;
	background-color: @sapUiMediumLine;
}

.sapUiSliGrip {
	border-style: solid;
	border-width: 2px;
}

.sapUiSliHori .sapUiSliGrip {
	height: 12px;
	width: 6px;
	top: -7px;
}

.sapUiSliVert .sapUiSliGrip {
	height: 6px;
	width: 12px;
	left: -7px;
}

.sapUiSliHori.sapUiSliRo .sapUiSliGrip {
	width: 0px;
}

.sapUiSliVert.sapUiSliRo .sapUiSliGrip {
	height: 0px;
}

.sapUiSliStd .sapUiSliGrip,
.sapUiSliRo .sapUiSliGrip {
	background-color: @sapHCStandardBG;
	border-color: @sapHCStandardFG;
}

.sapUiSliStd .sapUiSliGrip:hover {
	background-color: @sapHCHighlightBG;
	border-color: @sapHCStandardFG;
	border-width: 1px;
	padding: 1px;
}

.sapUiSliStd .sapUiSliGrip:focus,
.sapUiSliStd .sapUiSliGrip:active {
	border-color: @sapHCStandardFG;
	background-color: @sapHCHighlightBG;
	border-width: 1px;
	padding: 1px;
	outline: none;
}

.sapUiSliDsbl .sapUiSliGrip {
	border-color: @sapUiContentDisabledTextColor;
	background-color: @sapUiExtraLightBG;
}

.sapUiSliRo .sapUiSliGrip:focus {
	outline: none;
}

.sapUiSliHori .sapUiSliTick {
	height: 4px;
	width: 0;
	top: -5px;
	border-left: 1px solid @sapUiMediumBorder;
}

.sapUiSliHori.sapUiSliDsbl .sapUiSliTick {
	border-left: 1px solid @sapUiMediumLine;
}

.sapUiSliVert .sapUiSliTick {
	height: 0;
	width: 4px;
	left: -5px;
	border-top: 1px solid @sapUiMediumBorder;
}

.sapUiSliVert.sapUiSliDsbl .sapUiSliTick {
	border-top: 1px solid @sapUiMediumLine;
}

.sapUiSliRo .sapUiSliText {
	color: @sapUiBaseText;
}

.sapUiSliDsbl .sapUiSliText {
	color: @sapUiContentDisabledTextColor;
}

.sapUiSliHori .sapUiSliText {
	top: -20px;
}

.sapUiSliVert .sapUiSliText {
	right: 10px;
}

html[data-sap-ui-browser="ie9"] .sapUiSliHori .sapUiSliText {
	top: -19px;
}

.sapUiSliHori .sapUiSliTextLeft {
	left: -2px;
}

.sapUiSliVert .sapUiSliTextLeft {
	bottom: -2px;
}

.sapUiSliHori .sapUiSliTextRight {
	right: -1px;
}

.sapUiSliVert .sapUiSliTextRight {
	top: -1px;
}